freeze;

function anisotropic_part_FF( q )
// Returns the anisotropic part of q.
    
    K := BaseField(q);
    if AnisotropicDimension( q ) eq 1 then
        return DiagonalQuadraticForm(K, [Discriminant(q)]);
    elif Level(K) eq 1 then
        return DiagonalQuadraticForm(K, [One(K), Nonsquare(K)]);
    else
        return DiagonalQuadraticForm(K, [One(K), One(K)]);
    end if;
end function;
