freeze;

function anisotropic_part_CC( q )
// Returns the anisotropic part of q

    K := BaseField(q);
    if IsOdd( Dimension(q) ) then
        return DiagonalQuadraticForm(K, [ One(K) ] );
    end if;
    return DiagonalQuadraticForm(K, [K| ] );
end function;
