freeze;

// Various helper functions

ZZ := Integers();
FF2 := GF(2);
QQ := Rationals();

intrinsic Find( L ::[], f ) -> RngIntElt
{
Given a sequence L and a predicate f defined on the universe of L, this function
finds the index of the first element of L for which f returns True.
}
    for j in [1..#L] do
        if f(L[j]) then
            return j;
        end if;
    end for;
    return 0;    
end intrinsic;

